<!DOCTYPE html>
<html lang="en">
    <head>
        <title>
            Expense categories
        </title>
    </head>
    <body>
        <header>
            <nav>
                    {% if user.is_authenticated %}
                    <li><a href="{% url 'logout' %}">Logout</a></li>
                    <li><a href="{% url 'create_receipt' %}">Create Receipt</a></li>
                    <li><a href="{% url 'create_category' %}">Create Category</a></li>
                    <li><a href="{% url 'create_account' %}">Create Account</a></li>
                    <li><a href="{% url 'account_list' %}">Account List</a></li>
                    <li><a href="{% url 'home' %}">Home</a></li>
                    {% endif %}
            </nav>
        </header>
        <table>
            <thead>
            <th>Name</th>
            <th>Number of Receipts</th>
        </thead>
        <tbody>
            {% for items in category_list %}
            <tr>
                <td>{{ items.name }}</td>
                <td>{{ items.owner.categories.count }}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
    </body>
</html>